using MTV3D65;

namespace FullScreenShaders.Structure
{
    enum ConvolutionPass
    {
        Horizontal, Vertical
    }

    static class ConvolutionPassExtensions
    {
        public static void SetPass(this TVShader shader, ConvolutionPass pass)
        {
            shader.SetPassEnable(0, pass == ConvolutionPass.Horizontal);
            shader.SetPassEnable(1, pass == ConvolutionPass.Vertical);
        }
    }
}
